(* $Id $*)

type t

(** [init world] is to be called in the [init] cop state. *)
val init : Message.world_skeleton -> t

(** [vote my_name brains] is to be called in the [voting] cop state.
    It is a simple strategy:
    - we vote for us.
    - and from the less to the most popular cop.
*)
val vote : t -> string -> string list -> Message.vote list

val count : t -> Message.vote_res -> unit
